PCAP_SETFILTER(3) | Library Functions Manual | PCAP_SETFILTER(3)

# NAME

pcap_setfilter - set the filter

# SYNOPSIS

    #include <pcap/pcap.h>

    int pcap_setfilter(pcap_t *p, struct bpf_program *fp);

# DESCRIPTION

pcap_setfilter() is used to specify a filter program. fp is a pointer to a bpf_program struct, usually the result of a call to pcap_compile().

# RETURN VALUE

pcap_setfilter() returns 0 on success and -1 on failure. If -1 is returned, pcap_geterr() or pcap_perror() may be called with p as an argument to fetch or display the error text.

# SEE ALSO

pcap(3), pcap_compile(3), pcap_geterr(3)

7 April 2014 |